# Generated by Django 4.2.4 on 2023-08-27 19:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tvshow', '0004_alter_reviews_comment_alter_reviews_rate'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='rating',
            name='Created_at',
        ),
        migrations.RemoveField(
            model_name='rating',
            name='Text',
        ),
        migrations.RemoveField(
            model_name='tvshow',
            name='type_tvshow',
        ),
        migrations.AddField(
            model_name='rating',
            name='rating_value',
            field=models.CharField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10')], max_length=2, null=True, verbose_name='Оценка'),
        ),
        migrations.AlterField(
            model_name='rating',
            name='film_rating',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ratings', to='tvshow.tvshow'),
        ),
        migrations.AlterField(
            model_name='reviews',
            name='created_date',
            field=models.DateField(auto_now_add=True, null=True, verbose_name='Дата создания'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='atelier',
            field=models.CharField(max_length=100, verbose_name='Студия'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='country',
            field=models.CharField(max_length=100, verbose_name='Страна'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Дата создания'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='description',
            field=models.TextField(verbose_name='Описание'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='director',
            field=models.TextField(verbose_name='Режиссер'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='genre',
            field=models.CharField(choices=[('Мелодрама', 'Мелодрама'), ('Фантастика', 'Фантастика'), ('Мультфильмы', 'Мультфильмы'), ('Боевик', 'Боевик'), ('Комедия', 'Комедия'), ('Детектив', 'Детектив'), ('Драма', 'Драма')], max_length=100, verbose_name='Жанр'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='image',
            field=models.ImageField(null=True, upload_to='tvshow/', verbose_name='Фото'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='release_date',
            field=models.DateField(verbose_name='Дата релиза'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='starring',
            field=models.TextField(verbose_name='В главных ролях'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='time',
            field=models.TimeField(verbose_name='Время'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='title',
            field=models.CharField(max_length=100, verbose_name='Название'),
        ),
        migrations.AlterField(
            model_name='tvshow',
            name='url_film',
            field=models.URLField(verbose_name='Ссылка на фильм'),
        ),
        migrations.AddField(
            model_name='rating',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Дата создания'),
        ),
    ]
